summaryrefslogtreecommitdiffstats
path: root/redhat/tdenetwork/lisa.redhat
diff options
context:
space:
mode:
authorFrançois Andriot <albator78@libertysurf.fr>2013-06-24 19:50:32 +0200
committerFrançois Andriot <albator78@libertysurf.fr>2013-06-24 19:50:32 +0200
commitb4359e8bf97799f83dc1ca62744db7cfcc81bc87 (patch)
tree3346872613490cc467c19e1645d0026c1221bce7 /redhat/tdenetwork/lisa.redhat
parent4cc71d79c5718d59078d06c497a56d7c05b41576 (diff)
downloadtde-packaging-b4359e8bf97799f83dc1ca62744db7cfcc81bc87.tar.gz
tde-packaging-b4359e8bf97799f83dc1ca62744db7cfcc81bc87.zip
RPM Packaging: rename directories
Diffstat (limited to 'redhat/tdenetwork/lisa.redhat')
-rw-r--r--redhat/tdenetwork/lisa.redhat91
1 files changed, 91 insertions, 0 deletions
diff --git a/redhat/tdenetwork/lisa.redhat b/redhat/tdenetwork/lisa.redhat
new file mode 100644
index 000000000..bcc059e86
--- /dev/null
+++ b/redhat/tdenetwork/lisa.redhat
@@ -0,0 +1,91 @@
+#!/bin/bash
+#
+# Startup script for LISa
+#
+# chkconfig: - 92 36
+# description: LISa is a small daemon which is intended to run on \
+# end user systems. It provides something like a \
+# "network neighbourhood", but only relying on the TCP/IP \
+# protocol stack, no smb or whatever.\
+# The information about the hosts in your "neighbourhood" \
+# is provided via TCP port 7741.
+# processname: lisa
+# config: /etc/lisarc
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Source function library.
+if [ -f /etc/init.d/functions ] ; then
+ . /etc/init.d/functions
+elif [ -f /etc/rc.d/init.d/functions ] ; then
+ . /etc/rc.d/init.d/functions
+else
+ exit 0
+fi
+
+# Some definitions.
+lisa=/usr/bin/lisa
+prog=LISa
+OPTIONS="--quiet --config=/etc/lisarc"
+RETVAL=0
+
+#
+start() {
+ echo -n $"Starting $prog: "
+ daemon $lisa $OPTIONS
+ RETVAL=$?
+ echo
+ if [ $RETVAL = 0 ] ; then
+ touch /var/lock/subsys/lisa
+ else
+ RETVAL=1
+ fi
+ return $RETVAL
+}
+
+stop() {
+ echo -n $"Stopping $prog: "
+ killproc $lisa
+ RETVAL=$?
+ echo
+ if [ $RETVAL = 0 ] ; then
+ rm -f /var/lock/subsys/lisa
+ else
+ RETVAL=1
+ fi
+ return $RETVAL
+}
+
+reload() {
+ echo -n $"Reloading $prog: "
+ killproc $lisa -HUP
+ RETVAL=$?
+ echo
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ status)
+ status $lisa
+ RETVAL=$?
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ condrestart)
+ [ -f /var/lock/subsys/lisa ] && restart
+ ;;
+ *)
+ echo $"Usage: $prog {start|stop|restart|status|condrestart}"
+ exit 1
+esac
+
+exit $RETVAL